/*Borrador 1: realizar un recorrido formando un cuadrado. Las vueltas se harán cada cierto tiempo.
11 de octubre de 2014 - Daniela Plascencia */
//--------LIBRARIES--------
#include "mbed.h"
#include "Servo.h"
#include "Motor.h"
//--------I/O PINS-------
DigitalOut myled(LED1);
PwmOut servo(PTD4);
Motor motor(D3, D8, D9);
Timer timer;
//------VARIABLES-------
float i = 0.0;
//-------MAIN PROGRAM------
int main ()
{
    timer.start();
    do {
        float tiempo = timer.read();
        if(tiempo <= 5) {
            motor.speed(1.0);
        } else {
            if(i<=2.0) {
                i+= 1.0;
                motor.speed(0.5);
                servo.write(0.075);
                wait(0.2);
                servo.write(0.0);
                wait(0.2);
                timer.reset();
            }
        }
    } while(i<=3.0);
    timer.stop();
}